/*
 *  The Mana World
 *  Copyright (C) 2009  The Mana World Development Team
 *  Copyright (C) 2009-2010  Andrei Karas
 *
 *  This file is part of The Mana World.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "textcommand.h"

TextCommand::TextCommand(unsigned int id, std::string symbol,
                         std::string command, SpellTarget type,
                         unsigned int basicLvl, MagicSchool school,
                         unsigned int schoolLvl, int mana)
{
    mId = id;
    mCommand = command;
    mSymbol = symbol;
    mTargetType = type;
    mBaseLvl = basicLvl;
    mSchool = school;
    mSchoolLvl = schoolLvl;
    mMana = mana;
    mCommandType = TEXT_COMMAND_MAGIC;
}


TextCommand::TextCommand(unsigned int id, std::string symbol, std::string command, SpellTarget type)
{
    mId = id;
    mCommand = command;
    mSymbol = symbol;
    mTargetType = type;
    mCommandType = TEXT_COMMAND_TEXT;
    mBaseLvl = 0;
    mSchool = SKILL_MAGIC;
    mSchoolLvl = 0;
    mMana = 0;
    mCommandType = TEXT_COMMAND_TEXT;
}

TextCommand::TextCommand(unsigned int id)
{
    mId = id;
    mCommand = "";
    mSymbol = "";
    mTargetType = NOTARGET;
    mCommandType = TEXT_COMMAND_TEXT;
    mBaseLvl = 0;
    mSchool = SKILL_MAGIC;
    mSchoolLvl = 0;
    mMana = 0;
    mCommandType = TEXT_COMMAND_TEXT;
}


TextCommand::~TextCommand()
{
}
